This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 240594 - Review Request: cmigemo - C interface of Ruby/Migemo Japanese incremental search tool
Review Request: cmigemo - C interface of Ruby/Migemo Japanese incremental sea...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 13:26 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 22:55:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-05-18 13:26:29 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/cmigemo.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/cmigemo-1.3-0.1.c_MIT.fc7.src.rpm
Mock build log on FC-devel i386: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-cmigemo.log
Description: 
C/Migemo is a C interface of Ruby/Migemo, a Japanese incremental search tool
by Romaji.
Comment 1 Mamoru TASAKA 2007-05-20 02:00:02 EDT
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/cmigemo.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/cmigemo-1.3-0.2.c_MIT.fc7.src.rpm

----------------------------------------------------
* Sun May 19 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.3-0.2.c_MIT
- 64 bits fix
Comment 2 Hans de Goede 2007-05-20 09:20:21 EDT
MUST:
=====
* rpmlint output is:
W: cmigemo-devel no-documentation
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream (as explained in the comment)
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* ldconfig run for shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions
* %clean & macro usage OK
* Contains code and permissable content
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* -devel package as needed
* no .desktop file needed


Must FIX
========
* Don't add tools/migemo.vim.dir sed command backup file to %doc
Comment 3 Mamoru TASAKA 2007-05-20 09:37:02 EDT
Thank you for initial comments.

(In reply to comment #2)
> Must FIX
> ========
> * Don't add tools/migemo.vim.dir sed command backup file to %doc

Okay.

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/cmigemo.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/cmigemo-1.3-0.3.c_MIT.fc7.src.rpm
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/cmigemo-1.3-0.2-0.3.diff

-------------------------------------------------------
* Sun May 20 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.3-0.3.c_MIT
- Don't create unnecessary document backup
Comment 4 Hans de Goede 2007-05-20 10:25:04 EDT
All Must fix items fixed: approved!
Comment 5 Mamoru TASAKA 2007-05-20 10:42:04 EDT
Thank you!

Request to CVS admin
----------------------------------------------
New Package CVS Request
=======================
Package Name:         cmigemo
Short Description:    C interface of Ruby/Migemo Japanese incremental search tool
Owners:               mtasaka@ioa.s.u-tokyo.ac.jp
Branches:             devel F-7 FC-6 FC-5
InitialCC:            (nobody)
----------------------------------------------
Comment 6 Mamoru TASAKA 2007-05-21 22:55:03 EDT
Rebuilt for all branch, closing.

Thank you for your review!!

Note You need to log in before you can comment on or make changes to this bug.